Bug 13005 - unable to switch
unable to switch
Product: Red Hat Linux
Classification: Retired
Component: switchdesk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2000-06-24 17:39 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-26 13:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-06-24 17:39:45 EDT
After 'switchdesk-gnome' GUI utility was used to switch to KDE,
and with "Affects this display only" checked, attempts to use
command line 'switchdesk' to get back to Gnome are ineffective.
The problem is that even if a proper '~/.Xclients-default' was
written there exist another one, which is a display specific, is
not affected by 'switchdesk' at all and silently overrides
.Xclients-default choice.  'switchdesk' does not seem to have
a way, documented or otherwise, to deal with the situation.
One can use 'rm', of course, provided knowledgable enough (but then
one does not need 'switchdesk' at all :-).

Comment 1 Tim Waugh 2000-08-07 11:03:47 EDT
Do you still have this problem in Pinstripe?
Comment 2 Tim Waugh 2000-08-08 06:17:57 EDT
When you check "Change only applies to current display", a .Xclients-$DISPLAY is
written; otherwise a .Xclients-default is written.  In order to overwrite the
.Xclients-$DISPLAY you need to check "Change only applies to current display".

But arguably it is a bug that switchdesk doesn't remove display-specific
.Xclients files when writing a .Xclients-default, as the implication of not
checking "current display only" is that the change will occur for all displays.
Comment 3 Michal Jaegermann 2000-08-08 12:00:10 EDT
I agree that .Xclients-$DISPLAY is changed when changes apply to "current
display only".  The problem is that 'switchdesk' script does not have that
notion (it can be faked and/or options to do that are easy to add) and it
can be run totally outside of X when $DISPLAY is not set at all.

Those who have some idea about the mechanism do not need 'switchdesk' at
all; any editory and 'rm' will do.  Others will be totally baffled.

Comment 4 Bernhard Rosenkraenzer 2000-08-10 09:42:36 EDT
Actually, switchdesk has this option...

	switchdesk KDE local


	switchdesk GNOME local

We probably should implement --help though.
Comment 5 Michal Jaegermann 2000-08-10 11:04:27 EDT
About "local" option...  Yes, indeed, in switchdesk-helper but:
  - it affects only the current display
  - it is not operational outside of X while 'switchdesk' happily
    runs from a console.

I had in mind an option which allows to specify display(s) affected
regardless of a way one is logged in; say from a remote location.
It is not a major surgery.  An option which shows status of all
switchdesk configured desktops would also be of a considerable help.
As a real life example: I have serious troubles with the current version
of KDE.  After switching to KDE with a help of switchdesk-gnome and only
on a "current" display I have no way to back off to GNOME with a help
of switchdesk (no single terminal window under KDE so far).  Yes, I know
that I really do not need switchdesk for that task but with that
knowledge I do not need switchdesk at all.
Comment 6 Mike A. Harris 2002-10-26 00:48:02 EDT
Having been just reassigned this package, I'm curious if this issue
is still relevant in Red Hat Linux 8.0.  If it is still an issue,
please update the report so I know this and can investigate.  If it
isn't an issue, indicate that also please.
Comment 7 Michal Jaegermann 2002-10-26 13:13:52 EDT
> I'm curious if this issue is still relevant in Red Hat Linux 8.0.

I do not think so.  Besides nowadays most people are likely using gdm
facilities when switching desk types and from window managers supplied
with 8.0 only twm does not have an entry in /etc/X11/gdm/Sessions
although there is twm in /etc/X11/xdm/Xsession and 'switchdesk twm' will
work.  An oversight?
Comment 8 Mike A. Harris 2002-11-06 15:35:13 EST
Not sure, if you think there's a bug there, you might want to file it
against gdm though.

I'll close the bug as CURRENTRELEASE since you've indicated you believe
it to be ok now.


Note You need to log in before you can comment on or make changes to this bug.